#ifndef PROCLED_H
#define PROCLED_H

#include <stdlib.h>

#include "rtk32.h"
#include "rttextio.h"

#include "thread.h"
#include "io686.h"
#include "logfile.hpp"

class procLED : public Thread {
public:
	procLED(RTKMailbox *, LEDPort *, Log *log);
	~procLED() {};
	virtual void run();
private:
	RTKMailbox *mb;
	LEDPort *leds;
	Log *log;
};

#endif